<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>Make the table of colors</title>
      
       <style>
       div{
           background-color: red;
           height: 100px;
           width: 25%;
           float: left;
           margin-top: 10px;

       }
       </style>
    </head>
<body>

   <script>
       for (var i=0; i<16; i++) {
           var myDiv = document.createElement('div');
           document.body.appendChild(myDiv);
           

       }
       function random(number){
           return Math.floor(Math.random()*number);

       }
       function bgChange(){
            var rndCol = 'rgb(' + random(255) + ','+ random(255) + ',' + random(255) + ')';
            return rndCol;
       }
     
       var divs = document.querySelectorAll('div');
       for(var i = 0; i < divs.length; i++){

        if(i%2==0){
            
            divs[i].onclick = function(e){
                    e.target.style.backgroundColor = bgChange();
           }
           
        }else{
            divs[i].onclick = function(e){
                    e.target.style.backgroundColor = "yellow";
        }
           
    }
       }
    
    </script>

</body>

</html>